<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myUomLabel" jhiTranslate="mpmApp.uom.home.createOrEditLabel">Create or edit a Uom</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="uom.idUom" [readonly]="uom.id"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.uom.description" for="field_description">Description</label>
                    <input type="text" class="form-control" name="description" id="field_description"
                        [(ngModel)]="uom.description" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.uom.abbreviation" for="field_abbreviation">Abbreviation</label>
                    <input type="text" class="form-control" name="abbreviation" id="field_abbreviation"
                        [(ngModel)]="uom.abbreviation" />
                </div>

                <div class="form-group" *ngIf="idUomType === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.uom.uomType" for="field_uomType">Uom Type</label>
                    <select class="form-control" id="field_uomType" name="uomType" [(ngModel)]="uom.uomTypeId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="uomTypeOption.idUomType" *ngFor="let uomTypeOption of uomtypes; trackBy: trackUomTypeById">{{uomTypeOption.description}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
